﻿using Syncfusion.JavaScript.DataSources;
using Syncfusion.JavaScript.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Sample
{
    public partial class _Default : Page
    {
        List<Orders> order = new List<Orders>();
        protected void Page_Load(object sender, EventArgs e)
        {
            BindDataSource();
        }

        private void BindDataSource()
        {
            int code = 10000;
            
            order.Add(new Orders(code + 1, "TOMSP", 1 + 0, 2.3 * 1, "Münster", "Toms Spezialitäten", new DateTime(1991, 05, 15), "Germany", "44087", false));
            
            this.Grid.DataSource = order;
            this.Grid.DataBind();
        }

        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, string CustomerId, int EmployeeId, double Freight, string ShipCity, string ShipName,
                DateTime OrderDate, string ShipCountry, string ShipPostalCode, bool Verified)
            {
                this.OrderID = OrderId;
                this.CustomerID = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.ShipCity = ShipCity;
                this.ShipName = ShipName;
                this.OrderDate = OrderDate;
                this.ShipCountry = ShipCountry;
                this.ShipPostalCode = ShipPostalCode;
                this.Verified = Verified;
            }
            public long OrderID { get; set; }
            public string CustomerID { get; set; }
            public int EmployeeID { get; set; }
            public double Freight { get; set; }
            public string ShipCity { get; set; }
            public string ShipName { get; set; }
            public DateTime OrderDate { get; set; }
            public string ShipCountry { get; set; }
            public string ShipPostalCode { get; set; }
            public bool Verified { get; set; }
        }
    }
}